| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
FlatView::DataDispPars Class Reference
General

Data display parameters. More...

`#include <flatview.h>`

## Classes
class | Common
| Common to VD and WVA. More...
class | VD
| Variable Density (=color-bar driven) parameters. More...
class | WVA
| Wiggle/Variable Area parameters. More...

## Public Member Functions
| DataDispPars ()
| ~DataDispPars ()
void | fillPar (IOPar &) const
void | show (bool wva, bool vd)
void | usePar (const IOPar &)

## Static Public Member Functions
static const char * | sKeyAutoScale ()
static const char * | sKeyBlocky ()
static const char * | sKeyClipPerc ()
static const char * | sKeyColTab ()
static const char * | sKeyDispRg ()
static const char * | sKeyFlipSequence ()
static const char * | sKeyHighFillCol ()
static const char * | sKeyLinearInter ()
static const char * | sKeyLowFillCol ()
static const char * | sKeyOverlap ()
static const char * | sKeyRefLineCol ()
static const char * | sKeyRefLineValue ()
static const char * | sKeyShow ()
static const char * | sKeySymMidValue ()
static const char * | sKeyVD ()
static const char * | sKeyWiggCol ()
static const char * | sKeyWVA ()

## Public Attributes
VD | vd_
WVA | wva_

## Detailed Description

Data display parameters.

When data needs to be displayed, there is a load of parameters and options for display. The two main display modes are: Variable Density = display according to color table Wiggle/Variable Area = wiggles with (possibly) filled amplitude

<>

## Constructor & Destructor Documentation

## ◆ DataDispPars()

FlatView::DataDispPars::DataDispPars | ( |  | ) |

## ◆ ~DataDispPars()

FlatView::DataDispPars::~DataDispPars | ( |  | ) |

## Member Function Documentation

## ◆ fillPar()

void FlatView::DataDispPars::fillPar | ( | IOPar & |  | ) | const

## ◆ show()

void FlatView::DataDispPars::show | ( | bool | wva,
|  | bool | vd )
| inline

## ◆ sKeyAutoScale()

static const char * FlatView::DataDispPars::sKeyAutoScale | ( |  | ) |
| static

## ◆ sKeyBlocky()

static const char * FlatView::DataDispPars::sKeyBlocky | ( |  | ) |
| static

## ◆ sKeyClipPerc()

static const char * FlatView::DataDispPars::sKeyClipPerc | ( |  | ) |
| static

## ◆ sKeyColTab()

static const char * FlatView::DataDispPars::sKeyColTab | ( |  | ) |
| static

## ◆ sKeyDispRg()

static const char * FlatView::DataDispPars::sKeyDispRg | ( |  | ) |
| static

## ◆ sKeyFlipSequence()

static const char * FlatView::DataDispPars::sKeyFlipSequence | ( |  | ) |
| static

## ◆ sKeyHighFillCol()

static const char * FlatView::DataDispPars::sKeyHighFillCol | ( |  | ) |
| static

## ◆ sKeyLinearInter()

static const char * FlatView::DataDispPars::sKeyLinearInter | ( |  | ) |
| static

## ◆ sKeyLowFillCol()

static const char * FlatView::DataDispPars::sKeyLowFillCol | ( |  | ) |
| static

## ◆ sKeyOverlap()

static const char * FlatView::DataDispPars::sKeyOverlap | ( |  | ) |
| static

## ◆ sKeyRefLineCol()

static const char * FlatView::DataDispPars::sKeyRefLineCol | ( |  | ) |
| static

## ◆ sKeyRefLineValue()

static const char * FlatView::DataDispPars::sKeyRefLineValue | ( |  | ) |
| static

## ◆ sKeyShow()

static const char * FlatView::DataDispPars::sKeyShow | ( |  | ) |
| static

## ◆ sKeySymMidValue()

static const char * FlatView::DataDispPars::sKeySymMidValue | ( |  | ) |
| static

## ◆ sKeyVD()

static const char * FlatView::DataDispPars::sKeyVD | ( |  | ) |
| static

## ◆ sKeyWiggCol()

static const char * FlatView::DataDispPars::sKeyWiggCol | ( |  | ) |
| static

## ◆ sKeyWVA()

static const char * FlatView::DataDispPars::sKeyWVA | ( |  | ) |
| static

## ◆ usePar()

void FlatView::DataDispPars::usePar | ( | const IOPar & |  | ) |

## Member Data Documentation

## ◆ vd_

VD FlatView::DataDispPars::vd_

## ◆ wva_

WVA FlatView::DataDispPars::wva_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025